Bug 531554 - oowriter cannot open formulas from Microsoft Office 2007 SP2 ODT files
Summary: oowriter cannot open formulas from Microsoft Office 2007 SP2 ODT files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-28 18:10 UTC by Josh Cogliati
Modified: 2009-11-18 14:10 UTC (History)
1 user (show)

Fixed In Version: 3.1.1-19.8.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-18 14:10:05 UTC
Type: ---


Attachments (Terms of Use)
ODT file with formula from Microsoft Word 2007 SP2 (4.88 KB, application/vnd.oasis.opendocument.text)
2009-10-28 18:10 UTC, Josh Cogliati
no flags Details


Links
System ID Private Priority Status Summary Last Updated
OpenOffice.org 103076 0 None None None Never

Description Josh Cogliati 2009-10-28 18:10:03 UTC
Created attachment 366477 [details]
ODT file with formula from Microsoft Word 2007 SP2

Description of problem:
If a file with formulas (equations) is created in Microsoft Office 2007 SP2 and saved as an ODT file, the formulas are not read in Open Office Writer

Version-Release number of selected component (if applicable):
openoffice.org-writer-3.1.1-19.2.fc11.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1. Create a document in MS office 2007 with a formula
2. Save the file as an open document file
3. Open in Open Office Writer
  
Actual results:
All formulas are stripped out.

Expected results:
All formulas should be read in.

Additional info:
The attached file was created in Microsoft Office 2007 SP2.  If you unzip the file, you can find the formula as "Object 1/content.xml" 

If you open the from_msword.odt file with oowriter, there is no formula.

If in the "content.xml" the following is changed:
<draw:object xlink:href="Object 1/" xlink:type="simple" xlink:show="embed" xlink:actuate="onLoad"/>
to:
<draw:object xlink:href="Object 1" xlink:type="simple" xlink:show="embed" xlink:actuate="onLoad"/>

That is, change the xlink:href="Object 1/" to xlink:href="Object 1" 

and rezip the .odt file, this works fine and the formula shows up in oowriter. 

Arguably this might be a bug in Microsoft Office, but I was unable to find any requirement in the ODF 1.1 specification on whether or not a / is permitted at the end of a subobject xlink:href, so I think that Open Office should be able to load a formula when there is the extra /.

Comment 1 Caolan McNamara 2009-10-28 20:37:19 UTC
known upstream and fixed for 3.2, backported fix. Will be available >= 3.1.1-19.5 for F-11

Comment 2 Fedora Update System 2009-10-29 08:46:53 UTC
openoffice.org-3.1.1-19.5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/openoffice.org-3.1.1-19.5.fc11

Comment 3 Fedora Update System 2009-11-04 12:20:26 UTC
openoffice.org-3.1.1-19.5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10957

Comment 4 Fedora Update System 2009-11-07 12:59:13 UTC
openoffice.org-3.1.1-19.7.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/openoffice.org-3.1.1-19.7.fc11

Comment 5 Fedora Update System 2009-11-10 17:57:27 UTC
openoffice.org-3.1.1-19.7.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openoffice.org'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11295

Comment 6 Fedora Update System 2009-11-17 11:10:51 UTC
openoffice.org-3.1.1-19.8.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/openoffice.org-3.1.1-19.8.fc11

Comment 7 Fedora Update System 2009-11-18 14:09:36 UTC
openoffice.org-3.1.1-19.8.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.